Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Public Attributes | Private Member Functions | List of all members
eZXMLRPCStruct Class Reference

## Public Member Functions
| __construct ( $struct=array(), $type=false, $rec=false)
| isRecursive ()
| type ()
| setIsRecursive ( $rec)
| setType ( $type)
& | serialize ()
| value ()
| decode ( $value)

## Public Attributes
| $Struct
| $DataType
| $Recursive

## Private Member Functions
| serializeStruct ( $struct)

## Detailed Description

! eZXMLRPC eZXMLRPCStruct hadles encoding and decoding of an XML-RPC struct datatype.

Definition at line 36 of file ezxmlrpcstruct.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZXMLRPCStruct::__construct | ( |  | $struct = `array()`,
|  |  | $type = `false`,
|  |  | $rec = `false`
| ) |  |

Creates a new eZXMLRPCStruct object.

The default value is true.

Definition at line 43 of file ezxmlrpcstruct.php.

References $type.

## Member Function Documentation

## ◆ decode()

eZXMLRPCStruct::decode | ( |  | $value | ) |

Decodes the a value.

Definition at line 103 of file ezxmlrpcstruct.php.

## ◆ isRecursive()

eZXMLRPCStruct::isRecursive | ( |  | ) |

Returns true if type information is sent recursively to objects.

Definition at line 54 of file ezxmlrpcstruct.php.

References $Recursive.

## ◆ serialize()

& eZXMLRPCStruct::serialize | ( |  | ) |

This function will encode the sting into a valid XML-RPC value.

Definition at line 86 of file ezxmlrpcstruct.php.

References $ret, and serializeStruct().

## ◆ serializeStruct()

eZXMLRPCStruct::serializeStruct | ( |  | $struct | ) |
| private

Definition at line 111 of file ezxmlrpcstruct.php.

References $DataType, $ret, $type, and eZXMLRPCArray\serializeArray().

Referenced by serialize().

## ◆ setIsRecursive()

eZXMLRPCStruct::setIsRecursive | ( |  | $rec | ) |

Set recursive behaviour on or off.

Definition at line 70 of file ezxmlrpcstruct.php.

## ◆ setType()

eZXMLRPCStruct::setType | ( |  | $type | ) |

Sets type of all items, false means probe for type.

Definition at line 78 of file ezxmlrpcstruct.php.

References $type.

## ◆ type()

eZXMLRPCStruct::type | ( |  | ) |

Returns the type which all items are sent as, if false items are probed for type.

Definition at line 62 of file ezxmlrpcstruct.php.

References $DataType.

## ◆ value()

eZXMLRPCStruct::value | ( |  | ) |

Returns the struct value.

Definition at line 95 of file ezxmlrpcstruct.php.

References $Struct.

## Member Data Documentation

## ◆ $DataType

eZXMLRPCStruct::$DataType

Definition at line 172 of file ezxmlrpcstruct.php.

Referenced by serializeStruct(), and type().

## ◆ $Recursive

eZXMLRPCStruct::$Recursive

Definition at line 173 of file ezxmlrpcstruct.php.

Referenced by isRecursive().

## ◆ $Struct

eZXMLRPCStruct::$Struct

Definition at line 171 of file ezxmlrpcstruct.php.

Referenced by value().

The documentation for this class was generated from the following file:

- ezxmlrpcstruct.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.